//―――――――――――――――――――――
//■西瓜割りパート（Momoko）
//―――――――――――――――――――――

#include "system.h"
//KARI_ST()

//―――――――――――――――――――――
//SCENE01_CUT00:	//■スタート
//―――――――――――――――――――――

//WIN_MESのパンポット（PAN_LやPAN_R）はPanDolXYで設定している座標より内側になっているので
//音の方向を明確にするために全てPanDolXYで統一しました.

//キャラによるスタート位置に飛ばす.

FLAG_OFF(SUF_FL_d3_01)
Goto(L_SUIKA_FL)

//―――――――――――――――――――――
L_SUIKA_FC:			//■正面・中心
//―――――――――――――――――――――

WIN_MES_VRRC(Momoko, -1, V07_1030){
Fufufufufufu.
}


WIN_SELECT(){
	A little more to the right
	A little more to the left
	It's right here!
}

SWITCH(){
	L_SUIKA_FRC
	L_SUIKA_FLC
	L_SUIKA_FC_HIT
}

L_SUIKA_FC_HIT:		//----------------------

FLAG_ON(SUF_FL_d3_01)

Goto(L_SUIKA_END)

//―――――――――――――――――――――
L_SUIKA_FRC:		//■正面・斜め右
//―――――――――――――――――――――

WIN_MES_VRR(Momoko, -1, V07_0985){
A little more to the right！Right！Right！Right！
}


WIN_SELECT(){
	A little more to the right
	A little more to the left
	It's right here!
}

SWITCH(){
	L_SUIKA_FR
	L_SUIKA_FC
	L_SUIKA_FRC_HIT
}

L_SUIKA_FRC_HIT:	//----------------------

Goto(L_SUIKA_END)

//―――――――――――――――――――――
L_SUIKA_FR:			//■正面・右
//―――――――――――――――――――――

WIN_MES_VFR(Momoko, -1, V07_0985){
A little more to the right！Right！Right！Right！
}


WIN_SELECT(){
	A little more to the right
	A little more to the left
	It's right here!
}

SWITCH(){
	L_SUIKA_RR
	L_SUIKA_FRC
	L_SUIKA_FR_HIT
}

L_SUIKA_FR_HIT:		//----------------------

Goto(L_SUIKA_END)

//―――――――――――――――――――――
L_SUIKA_RR:			//■背面・右
//―――――――――――――――――――――

WIN_MES_VFRC(Momoko, -1, V07_0987){
A little more to the right！
}


WIN_SELECT(){
	A little more to the right
	A little more to the left
	It's right here!
}

SWITCH(){
	L_SUIKA_RRC
	L_SUIKA_FR
	L_SUIKA_RR_HIT
}

L_SUIKA_RR_HIT:		//----------------------

Goto(L_SUIKA_END)

//―――――――――――――――――――――
L_SUIKA_RRC:		//■背面・斜め右
//―――――――――――――――――――――

WIN_MES_VFC(Momoko, -1, V07_0987){
A little more to the right！
}


WIN_SELECT(){
	A little more to the right
	A little more to the left
	It's right here!
}

SWITCH(){
	L_SUIKA_RC
	L_SUIKA_RR
	L_SUIKA_RRC_HIT
}

L_SUIKA_RRC_HIT:	//----------------------

Goto(L_SUIKA_END)

//―――――――――――――――――――――
L_SUIKA_RC:			//■背面・中心
//―――――――――――――――――――――

WIN_MES_VFLC(Momoko, -1, V07_0839){
Ohhhhh！Right there！
}


WIN_SELECT(){
	A little more to the right
	A little more to the left
	It's right here!
}

SWITCH(){
	L_SUIKA_RLC
	L_SUIKA_RRC
	L_SUIKA_RC_HIT
}

L_SUIKA_RC_HIT:		//----------------------

Goto(L_SUIKA_END)

//―――――――――――――――――――――
L_SUIKA_RLC:		//■背面・斜め左
//―――――――――――――――――――――

WIN_MES_VFL(Momoko, -1, V07_0988){
A little more to the left！
}


WIN_SELECT(){
	A little more to the right
	A little more to the left
	It's right here!
}

SWITCH(){
	L_SUIKA_RL
	L_SUIKA_RC
	L_SUIKA_RLC_HIT
}

L_SUIKA_RLC_HIT:	//----------------------

Goto(L_SUIKA_END)

//―――――――――――――――――――――
L_SUIKA_RL:			//■背面・左
//―――――――――――――――――――――

WIN_MES_VRL(Momoko, -1, V07_0988){
A little more to the left！
}


WIN_SELECT(){
	A little more to the right
	A little more to the left
	It's right here!
}

SWITCH(){
	L_SUIKA_FL
	L_SUIKA_RLC
	L_SUIKA_RL_HIT
}

L_SUIKA_RL_HIT:		//----------------------

Goto(L_SUIKA_END)

//―――――――――――――――――――――
L_SUIKA_FL:			//■正面・左
//―――――――――――――――――――――

WIN_MES_VRLC(Momoko, -1, V07_0986){
A little more to the left！Left！Left！Left！
}


WIN_SELECT(){
	A little more to the right
	A little more to the left
	It's right here!
}

SWITCH(){
	L_SUIKA_FLC
	L_SUIKA_RL
	L_SUIKA_FL_HIT
}

L_SUIKA_FL_HIT:		//----------------------

Goto(L_SUIKA_END)

//―――――――――――――――――――――
L_SUIKA_FLC:		//■背面・斜め左
//―――――――――――――――――――――

WIN_MES_VRC(Momoko, -1, V07_0986){
A little more to the left！Left！Left！Left！
}


WIN_SELECT(){
	A little more to the right
	A little more to the left
	It's right here!
}

SWITCH(){
	L_SUIKA_FC
	L_SUIKA_FL
	L_SUIKA_FLC_HIT
}

L_SUIKA_FLC_HIT:	//----------------------

Goto(L_SUIKA_END)

//―――――――――――――――――――――
L_SUIKA_END:
//―――――――――――――――――――――

End


