//―――――――――――――――――――――
//■◇面影に向かう路（Kayaルート／初期封印）
//―――――――――――――――――――――
//干潮はまだ.Urashimaに惹かれ一歩.3：30ごろにMigiwa登場.忠告.流れが早く複雑で危ない.
//禁足地.見つかると大変.奇祭.殺人の可能性.島に惹かれる理由を問われる.
//------------------------------------------

#include "system.h"
//KARI_ST()
//------------------------------------------

START_PAC

//波音
SE_LOOP(0,SE104,0)

BUXY(0,220,220,300,0)
BI_NW(0,BG021B_0,45,BIT_M_NW)
BMA(0,0,0,-100*3,BIT_M_NW*5)

FI(0,90)

WI()

WIN_MES(){
I wouldn't be able to investigate before the
tide changed.
}

WIN_MES(){
The tide hadn't drawn back yet.
}


WIN_MES(){
Only one or two of the weirdly shaped Oni
Stepping Stones peeked out from beneath the
waves and it was still just a rough sea.
}




BW(0)
BC2(1,2)
BUXY(2,220,220,305,0)
Bg_Set2(1,2,BG021B_0)
BS(2,BG021B_0,30)

BI_NW(1,BG021B_0,25,BIT_M_NW)
BO_NW(0,BOT_M_NW)
BDXY_NW(2,220,220,305,BIT_M_NW)

WIN_MES_V(Syouko, -1, PAN_C, V00_3237){
So that's Urashima——
}

WIN_MES(){
It was separated from here by the ocean. A
different color than other places, a solitary
road stretched out towards it.
}



WIN_MES(){
The crests of the waves broke against the
Stepping Stones, which were hidden beneath
the shallow sea creating fine bubbles.
}

WIN_MES(){
A white road stretching out in a blue sea——
}

WIN_MES(){
I wondered how long I had stood here staring
at the complicated chaos of water. It felt
like only a moment.
}

WIN_MES(){
By the time I realized it, the road now
proceeded for several steps instead of just
half a step like when I just came here.
}

WIN_MES_V(Syouko, -1, PAN_C, V00_3238){
When the tide recedes, you can cross over
from here——
}

BWA()

//足音
SE_PLAY(1,SE643,0)

WIN_MES(){
Facing the sea which stretched out, I took a
step forward.
}

WIN_MES(){
The uneven surface that bit into my feet was
still wet.
}

BUXY(0,320,220,300,0)
BI_NW(0,BG021B_0,45,BIT_M_NW)
BMA(0,0,0,-100*3,BIT_M_NW*5)

BO_NW(1,BOT_S_NW)
BO_NW(2,BOT_S_NW)

WIN_MES(){
There was less than one step between me and
the ocean.
}

WIN_MES_V(Syouko, -1, PAN_C, V00_2530){
————
}

WIN_MES(){
As if enchanted, I went further——
}


WFO(0,0)

SE_STOP(0,0)
WIN_CLEAR()

//ドンッ
SE_PLAY(0,SE818,0)

BC(0)
Bg_Show(0,1)

//心音
SE_LOOP(1,SE003,0)

BG_WAVE(0,1,8,40)

FI(0,20)


WS()

WIN_MES_VRC(Voice, -1, V02_1365){
It's dangerous over there, you know?
}

BG_WAVESTOP(0)

WW()

WIN_MES_V(Syouko, -1, PAN_C, V00_3239){
——！?
}

WWS()

BCB()
BC(2)
BG_CEN_7(2)
BRI(2,BG021B_0,20,0,50)
BO_NW(2,BOT_S_NW*3)
Bg_Scale(2,100,150,BIT_S_NW*3)

WIN_MES(){
I missed the step I was going to take and I
had the same feeling you get when you miss a
step while going down the stairs.
}

BG_WAVE(0,1,5,30)

WIN_MES(){
From my backbone to my tail bone, a chill ran
down my spine——
}

BG_WAVESTOP(0)

//足音
SE_PLAY(0,SE643,0)

WIN_MES(){
That only lasted until my foot touched down
on the ground.
}

BW(2)
SE_ENDWAIT(0)

//波音
SE_VOL(0,60,60)
SE_LOOP(0,SE104,0)

WIN_MES(){
After that moment, the only lasting effects
were the not-quite beads of sweat and the
pounding of my heart.
}

WO()
CIS_C(0,C02E14S0,10)
WS()

WIN_MES_V(Migiwa, 0, PAN_C, V02_1366){
Osa, what are you doing in a place like this?
}

WO()
CXM_C(1,C02E01M0,10,0)
WI()

WIN_MES(){
Though she was walking over a hard, patchwork
surface, I could barely hear her soft,
catlike footsteps.
}

SE_STOP(1,60)

WIN_MES_V(Syouko, -1, PAN_C, V00_0030){
————
}

WIN_MES(){
I'm fine. My heart had already calmed down.
}

WIN_MES_V(Syouko, -1, PAN_C, V00_3240){
I just came to look around. This is the
location of the secret road that goes to
Onigashima mentioned in the legend, right?
}

CCM_C(0,C02E03M0,10,1)

WIN_MES_V(Migiwa, 0, PAN_C, V02_1367){
Even though you weren't guided here and
there's no signpost?
}

WIN_MES(){
Migiwa said that in a voice implying that I
came here for some purpose other than
sightseeing.
}

CCM_C(1,C02E04M0,10,0)

WIN_MES_V(Migiwa, 1, PAN_C, V02_1368){
If there were a signpost, it'd say "No Entry"
since this is part of Kurou-sama's forbidden
land.
}

WIN_MES_V(Syouko, -1, PAN_C, V00_3241){
Didn't Migiwa come here too?
}

CCM_C(0,C02E07M0,10,1)

WIN_MES_V(Migiwa, 0, PAN_C, V02_0115){
…………
}

WIN_MES(){
Migiwa looked a little surprised at my
comeback. She didn't blink and stared at me
with hard eyes——
}

SE_STOP(0,60)

CCM_C(1,C02E08M0,10,0)

WIN_MES_V(Migiwa, 1, PAN_C, V02_1369){
What does Osa know about the festival that
takes place on Urashima? What do you
remember?
}

BGM_PLAY(0,BGM05,180)

WIN_MES(){
She asked me something like that.
}

WIN_MES_V(Syouko, -1, PAN_C, V00_3242){
…………
}

CCM_C(0,C02E09M0,10,1)

WIN_MES_V(Migiwa, 0, PAN_C, V02_1370){
Whether it's outsiders or people on the
island, only privileged people know about
what really occurs in that secret festival——
}





WIN_MES(){
From what the monk told us this morning——
}

CCM_C(1,C02E08M0,10,0)

WIN_MES_V(Migiwa, 1, PAN_C, V02_1371){
It seems to be a festival marked by a bizarre
ritual that can't be displayed to the public.
}

WIN_MES(){
It seemed to be a festival where a sacrifice
was offered.
}

CCM_C(0,C02E05M0,10,1)

WIN_MES_V(Migiwa, 0, PAN_C, V02_1372){
If this were a mystery or a drama, it'd
definitely be some archaic, local custom
where a murder would occur.
}

WIN_MES(){
While it was true that the festival would be
difficult to expose, at the very end, the
offering was an ox and not a person——
}

WIN_MES_V(Syouko, -1, PAN_C, V00_3242){
…………
}

WIN_MES(){
Just suppose——and really just suppose, a
ritual with a human sacrifice had happened...
}

CCM_C(1,C02E07M0,10,0)

WIN_MES_V(Syouko, -1, PAN_C, V00_3243){
That would be something from long ago. Since
we're a law-abiding country, something like
that wouldn't happen in the present——
}

CCM_C(0,C02E08M0,10,1)

WIN_MES(){
A faith where people's lives hung in the
balance would only occur long ago or in some
drama.
}

WIN_MES(){
At the very least, I didn't know anything
about something like that——
}

//ザザッっと赤ノイズを一瞬だけ効果として.

SE_LOOP(1,SE912,0)
BI(2,IMG051,5,0)
SE_STOP(1,60)
BO_NW(2,60)

WIN_MES_V(Syouko, -1, PAN_C, V00_0104){
——！?
}

BW(2)
BRI_NW(1,IMG042,9,BIT_M,75)

WIN_MES(){
I might know something about that but I
couldn't remember.
}

WIN_MES(){
My memories from eight years ago were so deep
underwater that I couldn't hold my breath
long enough to reach them.
}

BO_NW(1,BOT_M_NW)

WIN_MES(){
Migiwa had been eavesdropping when I had
confirmed that with my grandfather so I
wondered if she didn't hear——
}

BW(1)

WO()
CXM_C(1,C02A02M0,10,0)
WS()

WIN_MES_V(Migiwa, 1, PAN_C, V02_1373){
So why is Osa here? Are you interested in the
Stepping Stones of Urashima or something?
}

WIN_MES(){
Was she just asking me because she was
curious——
}


//【選択】
//・話さない
//・話す

//ALL_CLEAR()


End


